﻿$ErrorActionPreference = 'Stop'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition
$download_dir = "$Env:TEMP\chocolatey\$packageName\$Env:ChocolateyPackageVersion"

$packageArgs = @{
  packageName    = 'universal-ctags'
  url            = 'https://github.com/universal-ctags/ctags-win32/releases/download/2021-08-28/p5.9.20210822.0-3-gf2dc7449/ctags-2021-08-28_p5.9.20210822.0-3-gf2dc7449-x86.zip'
  url64Bit       = 'https://github.com/universal-ctags/ctags-win32/releases/download/2021-08-28/p5.9.20210822.0-3-gf2dc7449/ctags-2021-08-28_p5.9.20210822.0-3-gf2dc7449-x64.zip'
  checksum       = 'EDD3814E90353DA3C6A0A3F981FC07D6AFED085A7F1FEA5EF4300985E1499180'
  checksum64     = '027F078FAED1C63BA7B545585B501DCE9788DE3260E3BA33353BC51BB8F8ED92'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsPath
}
Install-ChocolateyZipPackage @packageArgs
